Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 673796 - sys-fs/udev-240 breaks LVM volumes on boot with error messages WARNING: Device /dev/sdXXX not initialized in udev database even after waiting 10000000 microseconds.
Summary: sys-fs/udev-240 breaks LVM volumes on boot with error messages WARNING: Devic...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: udev maintainers
URL: https://github.com/systemd/systemd/is...
Whiteboard:
Keywords:
: 678164 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-12-27 07:21 UTC by email200202
Modified: 2019-04-17 09:39 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description email200202 2018-12-27 07:21:38 UTC
After update to sys-fs/udev-240 from 239, the computer could not go beyond the initialization of lvm and kept displaying messages like:

WARNING: Device /dev/sdXXX not initialized in udev database even after waiting 10000000 microseconds.

Downgrading to version sys-fs/udev-239 fixed the problem.

I tried udev-240 on another computer which does not use lvm. The computer completed the boot process but all devices the keyboard, mouse, ethernet, ... were not responsive. 

Again the computer worked after downgrade to version 239.

These two computers are the latest ~amd64 and kernel 4.20.0.
Comment 1 jospezial 2018-12-27 19:32:53 UTC
Same here. Saw that error with grub2-mkconfig.

I noticed with udev-240 a lot of modules (amdgpu,network) are not loaded.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2018-12-27 23:42:06 UTC
This is rather a bug un systemd/udev.
Comment 3 Neil 2018-12-28 10:16:20 UTC
I've encountered this problem too, but have stuck with OpenRC rather than systemd which is confusing because I have the following runlevels in sysinit

# rc-update show | grep udev 
                 udev |                                 sysinit 
         udev-trigger |                                 sysinit 
# rc-update show | grep devfs 
                devfs |                                 sysinit 

...and yet udev is running from a systemd path...

# ps -Alf | grep udev 
5 S root      3199     1  0  80   0 -  4874 -      09:14 ?        00:00:00 /lib/systemd/systemd-udevd --daemon 
0 S root      6223  5978  0  80   0 -  2530 -      09:47 pts/0    00:00:00 grep --colour=auto udev 


Going to downgrade to =sys-fs/udev-239 (after upgrading kernel as currently no /usr/src/linux/Makefile ), hopefully it will work for me too.
Comment 4 Larry the Git Cow gentoo-dev 2018-12-28 16:47:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=766a97cd1fc61e3a924951b4bed63f8b45d847e6

commit 766a97cd1fc61e3a924951b4bed63f8b45d847e6
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2018-12-28 16:47:08 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2018-12-28 16:47:08 +0000

    sys-fs/udev: backport patches
    
    Closes: https://bugs.gentoo.org/673796
    Package-Manager: Portage-2.3.52_p18, Repoman-2.3.12_p30
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 sys-fs/udev/Manifest                                | 1 +
 sys-fs/udev/{udev-240.ebuild => udev-240-r1.ebuild} | 5 ++++-
 2 files changed, 5 insertions(+), 1 deletion(-)
Comment 5 jeremy mills 2018-12-29 19:33:20 UTC
Im still experiencing this. 2 different fresh installs. ~amd64 keyworded. Using openrc. Happens only with sys-fs/udev-240-r1. 239 is fine. System will eventually finish booting but then im left with no working keyboard. Again this doesn't happen with 239.
Comment 6 jeremy mills 2018-12-31 04:32:52 UTC
I take that back it's also happening with sys-fs/udev-239 if sys-fs/udisks-1.0.5-r2 is installed. Removing that udisks version removes the error. Udev-240-r1 did it even without udisks installed. Building sys-fs/lvm2 without udev support USE="-udev" also solves this. Not sure if using lvm with out udev support will cause any issues later or if im missing out on any features but it resolves the error so far. Hope this is at least slightly helpful.
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-02-04 00:34:43 UTC
(In reply to jeremy mills from comment #6)
> I take that back it's also happening with sys-fs/udev-239 if
> sys-fs/udisks-1.0.5-r2 is installed. Removing that udisks version removes
> the error. Udev-240-r1 did it even without udisks installed. Building
> sys-fs/lvm2 without udev support USE="-udev" also solves this. Not sure if
> using lvm with out udev support will cause any issues later or if im missing
> out on any features but it resolves the error so far. Hope this is at least
> slightly helpful.


Yup I can confirm some of the combinations as well
udev-240-r[23], WITH udisks:0 => 'not initialized in udev'
udev-240-r[23], WITHOUT udisks:0 => 'not initialized in udev'
udev-239, WITHOUT => works

will retest udev-239 + udisks:0 later tonight.
Comment 8 Mike Gilbert gentoo-dev 2019-02-04 03:01:22 UTC
Please test udev-241_rc2, or whatever the newest version is at the time. Version 240 will never be stablized.
Comment 9 jannis 2019-02-08 06:55:52 UTC
As an alternative to having sys-fs/udev, I am using sys-fs/eudev now. Works lika a charm
Comment 10 Thomas Deutschmann gentoo-dev Security 2019-03-18 13:06:46 UTC
*** Bug 678164 has been marked as a duplicate of this bug. ***
Comment 11 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-04-08 22:49:34 UTC
As another workaround please test lvm2-2.02.184-r1.
Comment 12 Joakim Tjernlund 2019-04-09 08:35:55 UTC
(In reply to jannis from comment #9)
> As an alternative to having sys-fs/udev, I am using sys-fs/eudev now. Works
> lika a charm

We got sys-fs/eudev-3.2.5 and got the problem anyway.
Using sys-fs/lvm2-2.02.183
Comment 13 Joakim Tjernlund 2019-04-09 08:39:18 UTC
(In reply to Joakim Tjernlund from comment #12)
> (In reply to jannis from comment #9)
> > As an alternative to having sys-fs/udev, I am using sys-fs/eudev now. Works
> > lika a charm
> 
> We got sys-fs/eudev-3.2.5 and got the problem anyway.
> Using sys-fs/lvm2-2.02.183

sys-fs/udisks 1.0.5-r2 and 2.8.1
Comment 14 Joakim Tjernlund 2019-04-09 11:04:01 UTC
(In reply to Robin Johnson from comment #11)
> As another workaround please test lvm2-2.02.184-r1.

That did not work. Now I also got an extra /dev/sda: No medium found
I got sda is a removable disk:
sd 0:0:0:0: [sda] Attached SCSI removable disk
Comment 15 Joakim Tjernlund 2019-04-09 12:00:50 UTC
Uninstalling sys-fs/udisks-1.0.5-r2 fixed the problem for me.